CommetCommet
GitHubDiscordStatus
Add quota POSTList quota allowances GETGet quota allowance GETRemove quota POSTSet quota PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List quota allowances

Get all quota allowances for a customer across every quota feature in their plan.

GET
/usage/quota/all

Get all quota allowances for a customer across every quota feature in their plan.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

customerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/usage/quota/all?customerId=string"
{  "object": "list",  "data": [    {      "featureCode": "projects",      "current": 3,      "included": 10,      "remaining": 7,      "billedQuantity": 0,      "unlimited": false,      "overageEnabled": false,      "asOf": "2026-09-07T12:00:00.000Z",      "object": "usage_quota",      "livemode": false    }  ],  "hasMore": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "not_found_error",    "code": "not_found",    "message": "The requested resource was not found.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Add quota POST

Add to a customer's quota allowance for a feature. Defaults to 1 if count is omitted.

Get quota allowance GET

Get the current quota allowance (used vs included) for a specific feature.